<template>
  <footer class="blog-footer">
    <div class="container">
      <div class="row">
        <div class="col col-md-10">
          <a class="footer-logo" href="/" aria-label="Home">
            <blog-fa-icon icon="user-circle"/>
          </a>
          <p>You can follow my life, portfolio or interests on social network, so you can get to know me more</p>
          <ul class="nav social-nav">
            <li
              v-for="(nav, index) in navs.social"
              :key="index"
              class="nav-item"
            >
              <a
                class="nav-link"
                :href="nav.href"
                :aria-label="nav.label"
              >
                <blog-fa-icon :icon="nav.icon"/>
              </a>
            </li>
          </ul>
        </div>

        <div class="col col-md-12 offset-md-2">
          <nav class="footer-navs">
            <div class="row">
              <div class="col col-sm-12 col-md-8">
                <h6>ME</h6>
                <ul class="nav nav-vertical">
                  <li
                    v-for="(nav, index) in navs.me"
                    :key="index"
                    class="nav-item"
                  >
                    <a
                      class="nav-link"
                      :href="nav.href"
                      :aria-label="nav.label"
                      v-on:click.prevent="onNavClick"
                    >
                      {{ nav.label }}
                    </a>
                  </li>
                </ul>
              </div>

              <div class="col col-sm-12 col-md-8">
                <h6>SHOWCASES</h6>
                <ul class="nav nav-vertical">
                  <li
                    v-for="(nav, index) in navs.showcases"
                    :key="index"
                    class="nav-item"
                  >
                    <a
                      class="nav-link"
                      :href="nav.href"
                      :data-category="nav.filters.category"
                      :aria-label="nav.label"
                      v-on:click.prevent="onNavClick"
                    >
                      {{ nav.label }}
                    </a>
                  </li>
                </ul>
              </div>

              <div class="col col-sm-12 col-md-8">
                <h6>BLOG</h6>
                <ul class="nav nav-vertical">
                  <li
                    v-for="(nav, index) in navs.blog"
                    :key="index"
                    class="nav-item"
                  >
                    <a
                      class="nav-link"
                      :href="nav.href"
                      :aria-label="`${nav.label} Posts`"
                    >
                      {{ nav.label }}
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </nav>
        </div>
      </div>
      <div class="copyright">
        Copyright © 2020 made with <blog-fa-icon icon="heart"/> by Atom
      </div>
    </div>
  </footer>
</template>

<script>
export default {
  data () {
    return {
      navs: {
        social: [
          { label: 'Facebook', href: 'https://facebook.com/a.sumranphan', icon: ['fab', 'facebook-square'] },
          { label: 'Twitter', href: 'https://twitter.com/a.sumranphan', icon: ['fab', 'twitter'] },
          { label: 'Github', href: 'https://github.com/a.sumranphan', icon: ['fab', 'github'] },
          { label: 'Facebook Messenger', href: 'https://messenger.facebook.com/a.sumranphan', icon: ['fab', 'facebook-messenger'] },
          { label: 'Line', href: 'https://line.me/a.sumranphan', icon: ['fab', 'line'] }
        ],
        me: [
          { label: 'Home', href: '#home' },
          { label: 'Showcases', href: '#showcases' },
          { label: 'Blog', href: '#blog' },
          { label: 'Hire me?', href: '#hireme' }
        ],
        showcases: [
          { label: 'News', href: '#showcases', filters: { category: 'news' } },
          { label: 'E-Commerce', href: '#showcases', filters: { category: 'e-commerce' } },
          { label: 'Creative', href: '#showcases', filters: { category: 'creative' } },
          { label: 'Entertainment', href: '#showcases', filters: { category: 'entertainment' } }
        ],
        blog: [
          { label: 'News', href: 'https://blog.atomfolios.me/tagged/news' },
          { label: 'Playground', href: 'https://blog.atomfolios.me/tagged/playground' },
          { label: 'Development Tools', href: 'https://blog.atomfolios.me/tagged/development-tools' },
          { label: 'UX & UI', href: 'https://blog.atomfolios.me/tagged/ux-ui' }
        ]
      }
    }
  },

  methods: {
    onNavClick (e) {
      var id = e.target.hash.replace('#', '')
      var filters = e.target.dataset
      var elem = document.getElementById(id)
      var offset = id === 'home' ? -120 : -76

      if (elem) {
        Velocity(elem, 'scroll', {
          offset,
          complete () {
            if (id === 'showcases' && filters) {
              elem.getElementsByTagName('a')
                .forEach(vnode => {
                  if (vnode.dataset.category === filters.category) {
                    vnode.click()
                  }
                })
            }
          }
        })
      }
    }
  }
}
</script>

<style lang="scss">
.blog-footer {
  padding-top: 4rem;
  padding-bottom: 4rem;

  .footer-logo {
    display: inline-block;
    font-size: 40px;
    line-height: 28px;
    margin-bottom: 1rem;
  }

  .social-nav {
    margin-bottom: 2rem;

    .nav-link {
      font-size: $font-size-base * 1.5;
      padding: 0;
      margin-right: $spacer;
    }
  }

  .footer-navs {
    .nav {
      margin-bottom: $spacer;
    }
  }

  .copyright {
    text-align: center;
    margin-top: 4rem;

    .fa-heart {
      color: #FC8F81;
    }
  }
}
</style>
